
<!DOCTYPE html>
<html>
<head>
  <title>58.10</title> 
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <!-- Data Table-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body >
<!-- Vùng header -->
<div class="container">
  <div class="text-center">
    <h2>Danh sách mã giảm giá</h2>
  </div>
  <div class="form-group">
    <button class="btn btn-success" id="btn-add-voucher"><i class="fa fa-plus"></i>&nbsp; New voucher</button>
  </div>
</div>
<!-- Vouche Data Table -->
<div class="container">
  <table class="table table-bordered table-striped table-hover" id="voucher-table">
    <thead>
      <tr>
         <th>STT</th>
        <th>Mã giảm giá</th>
        <th>Phần trăm giảm giá</th>
        <th>Ngày tạo</th>
        <th>Ngày cập nhật</th>
      </tr>
    </thead>
  </table>
</div>

​<script>
  "use strict";
    $( document ).ready(function() {
      var table = $("#voucher-table").DataTable({
        "columns":[{
            "data":"id"     
          },
          {
            "data":"maVoucher"
          },
          {
            "data":"phanTramGiamGia"
          },
          {
            "data":"ngayTao"
          },
          {
            "data":"ngayCapNhat"
          }
        ]
      });
      $.ajax({
        url:"http://localhost:8080/vouchers",
        type:"GET",
        dataType: 'json',
        success: function(responseObject){
          console.log(responseObject);
          table.clear();
          table.rows.add(responseObject);
          table.draw();
        }
      })
    })
  
</script>
</body>
</html>